EM FHPort: Difference between revisions

From FreeCAD Documentation
No edit summary
 
(13 intermediate revisions by 6 users not shown)
Line 1: Line 1:
<languages/>
<translate>

<!--T:20-->
{{Docnav
|[[EM_FHEquiv|FHEquiv]]
|[[EM_FHSolver|FHSolver]]
|[[EM_Workbench|EM]]
|IconL=EM_FHEquiv.svg
|IconR=EM_FHSolver.svg
|IconC=EMWorkbench.svg
}}

<!--T:1-->
{{GuiCommand
{{GuiCommand
|Name=EM FHPort
|Name=EM FHPort
|MenuLocation=EM → FHPort
|MenuLocation=EM → FHPort
|Workbenches=[[EM Workbench|EM]]
|Workbenches=[[EM_Workbench|EM]]
|Shortcut=E P
|Shortcut={{KEY|E}} {{KEY|P}}
|Version=0.17
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHEquiv|EM FHEquiv]],
|SeeAlso=[[EM_FHNode|EM FHNode]], [[EM_FHSegment|EM FHSegment]], [[EM_FHPath|EM FHPath]], [[EM_FHPlane|EM FHPlane]], [[EM_FHEquiv|EM FHEquiv]]
|Version=0.17 (Add-on)
}}
}}


==Description==
==Description== <!--T:2-->


<!--T:3-->
The FHPort tool creates a FastHenry port between two FHNode objects.
The FHPort tool creates a FastHenry port between two FHNode objects.


</translate>
[[Image:EM_FHPort_Example.png]]
[[Image:EM_FHPort_Example.png]]
<translate>


<!--T:4-->
{{Caption|FastHenry FHPort}}
{{Caption|FastHenry FHPort}}


==Usage== <!--T:5-->
==How to use==


<!--T:6-->
The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.
The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.


<!--T:7-->
# Select two [[EM_FHNode|FHNode]] objects
# Select two [[Image:EM_FHNode.svg|24px]] [[EM_FHNode|FHNode]] objects
# Press the {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort|EM FHPort]]}} button, or press {{KEY|E}} then {{KEY|P}} keys.
# Press the {{Button|[[Image:EM_FHPort.svg|16px]] [[EM_FHPort|EM FHPort]]}} button, or press {{KEY|E}} then {{KEY|P}} keys.


===Remarks:===
===Remarks=== <!--T:8-->


<!--T:9-->
* The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.
* The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.


==Properties==
==Properties== <!--T:10-->


<!--T:11-->
* {{PropertyData|NodePos}}: the positive [[EM_FHNode|FHNode]] of the FastHenry port
* {{PropertyData|NodePos}}: the positive [[EM_FHNode|FHNode]] of the FastHenry port
* {{PropertyData|NodeNeg}}: the negative [[EM_FHNode|FHNode]] of the FastHenry port
* {{PropertyData|NodeNeg}}: the negative [[EM_FHNode|FHNode]] of the FastHenry port


==Scripting==
==Scripting== <!--T:12-->


<!--T:13-->
{{Emphasis|See also:}} [[FreeCAD Scripting Basics]].
{{Emphasis|See also:}} [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:14-->
The FHPort object can be used in [[macros]] and from the [[Python]] console by using the following function:
The FHPort object can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:


</translate>
{{Code|code=
{{Code|code=
port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
}}
}}
<translate>


<!--T:15-->
* Creates a {{incode|FHPort}} object.
* Creates a {{incode|FHPort}} object.
* {{incode|nodePos}} is the positive node [[EM_FHNode|FHNode]] object of the FastHenry port.
* {{incode|nodePos}} is the positive node [[EM_FHNode|FHNode]] object of the FastHenry port.
Line 47: Line 74:
* {{incode|name}} is the name of the object
* {{incode|name}} is the name of the object


<!--T:16-->
Example:
Example:


</translate>
{{Code|code=
{{Code|code=
import FreeCAD, EM
import FreeCAD, EM
Line 56: Line 85:


fhport = EM.makeFHPort(fhnode_p, fhnode_n)
fhport = EM.makeFHPort(fhnode_p, fhnode_n)
}}
<translate>


<!--T:21-->
{{Docnav
|[[EM_FHEquiv|FHEquiv]]
|[[EM_FHSolver|FHSolver]]
|[[EM_Workbench|EM]]
|IconL=EM_FHEquiv.svg
|IconR=EM_FHSolver.svg
|IconC=EMWorkbench.svg
}}
}}


</translate>
{{clear}}
{{EM Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:27, 21 November 2021

Other languages:

EM FHPort

Menu location
EM → FHPort
Workbenches
EM
Default shortcut
E P
Introduced in version
0.17
See also
EM FHNode, EM FHSegment, EM FHPath, EM FHPlane, EM FHEquiv

Description

The FHPort tool creates a FastHenry port between two FHNode objects.

FastHenry FHPort

Usage

The FHPort object is based on the two existing FHNodes between which it will create a FastHenry port.

  1. Select two FHNode objects
  2. Press the EM FHPort button, or press E then P keys.

Remarks

  • The first node you select is the positive node of the port, and the arrow that is the shape of the FHPort object will point in this direction.

Properties

  • DataNodePos: the positive FHNode of the FastHenry port
  • DataNodeNeg: the negative FHNode of the FastHenry port

Scripting

See also: FreeCAD Scripting Basics.

The FHPort object can be used in macros and from the Python console by using the following function:

port = makeFHPort(nodePos=None,nodeNeg=None,name='FHPort')
  • Creates a FHPort object.
  • nodePos is the positive node FHNode object of the FastHenry port.
  • nodeNeg is the negative node FHNode object of the FastHenry port.
  • name is the name of the object

Example:

import FreeCAD, EM

fhnode_p = EM.makeFHNode(X=1.0,Y=0,Z=0)
fhnode_n = EM.makeFHNode(X=0,Y=1.0,Z=0)

fhport = EM.makeFHPort(fhnode_p, fhnode_n)